<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "provider_practice_gmb_data_point".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ProviderPracticeGmbDataPoint".
 *
 * Columns in table "provider_practice_gmb_data_point" available as properties of the model,
 * followed by relations of table "provider_practice_gmb_data_point" available as properties of the model.
 *
 * @property integer $id
 * @property integer $provider_practice_gmb_id
 * @property integer $gmb_data_point_id
 * @property integer $enabled
 * @property string $override
 *
 * @property GmbDataPoint $gmbDataPoint
 * @property ProviderPracticeGmb $providerPracticeGmb
 */
abstract class BaseProviderPracticeGmbDataPoint extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'provider_practice_gmb_data_point';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ProviderPracticeGmbDataPoint|ProviderPracticeGmbDataPoints', $n);
    }

    public static function representingColumn()
    {
        return 'override';
    }

    public function rules()
    {
        return array(
            array('provider_practice_gmb_id, gmb_data_point_id', 'required'),
            array('provider_practice_gmb_id, gmb_data_point_id, enabled', 'numerical', 'integerOnly'=>true),
            array('override', 'length', 'max'=>150),
            array('enabled, override', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, provider_practice_gmb_id, gmb_data_point_id, enabled, override', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'gmbDataPoint' => array(self::BELONGS_TO, 'GmbDataPoint', 'gmb_data_point_id'),
            'providerPracticeGmb' => array(self::BELONGS_TO, 'ProviderPracticeGmb', 'provider_practice_gmb_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'provider_practice_gmb_id' => null,
            'gmb_data_point_id' => null,
            'enabled' => Yii::t('app', 'Enabled'),
            'override' => Yii::t('app', 'Override'),
            'gmbDataPoint' => null,
            'providerPracticeGmb' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('provider_practice_gmb_id', $this->provider_practice_gmb_id);
        $criteria->compare('gmb_data_point_id', $this->gmb_data_point_id);
        $criteria->compare('enabled', $this->enabled);
        $criteria->compare('override', $this->override, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
